package com.hw.mes.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Description: 柜体绑定vo对象
 * @ClassName: MesBindBarcodeVo
 * @Author  : xins
 * @Date    :2024-04-10  17:09
 * @Version :1.0
 */
@Data
public class MesBindBarcodeVo {

    //生产计划code
    @NotBlank(message = "生产计划Code必须输入")
    private String planCode;

    //生产计划明细code
    @NotBlank(message = "生产计划明细Code必须输入")
    private String planDetailCode;


    //物料条码
    @NotBlank(message = "成品条码必须输入")
    private String productBarcode;

    //物料条码
    @NotBlank(message = "物料条码必须输入")
    private String materialBarcode;
}
