package com.hw.mes.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description: 五楼装配工位扫码开始VO对象
 * @ClassName: MesMaterialBarcodeScan2StartVo
 * @Author  : xins
 * @Date    :2024-04-15  10:10
 * @Version :1.0
 */
@Data
public class MesMaterialBarcodeScan2StartVo {

    //生产计划ID
    @NotNull(message = "planId必须输入")
    private Long planId;

    //物料条码
    @NotBlank(message = "物料条码必须输入")
    private String materialBarcode;

}
