package com.hw.mes.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description: 托盘与物料绑定VO对象
 * @ClassName: MesPalletInfoBindVo
 * @Author  : xins
 * @Date    :2024-04-15  13:42
 * @Version :1.0
 */
@Data
public class MesPalletInfoBindVo {
    //物料条码
    @NotBlank(message = "物料条码必须输入")
    private String materialBarcode;

    //托盘码
    @NotBlank(message = "托盘码必须输入")
    private String palletInfoCode;

}
