package com.hw.wms.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description: 原材料返库VO对象
 * @ClassName: WmsRawBackVo
 * @Author  : xins
 * @Date    :2024-04-11  14:07
 * @Version :1.0
 */
@Data
public class WmsRawBackVo {
    //物料条码
    @NotBlank(message="物料条码必须输入")
    private String materialBarcode;

    @NotNull(message="返库ID不能为空")
    private Long warehouseId;
}
